- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# ClpNode Class Reference

`#include <ClpNode.hpp>`

Collaboration diagram for ClpNode:

[legend]
List of all members.

## Public Member Functions
Useful methods
void | applyNode (ClpSimplex *model, bool justBounds)
| Applies node to model.
int | fixOnReducedCosts (ClpSimplex *model)
| Fix on reduced costs.
Gets and sets
double | branchingValue () const
| Initial value of integer variable.
int | way () const
| Way for integer variable -1 down , +1 up.
bool | fathomed () const
| Return true if branch exhausted.
void | changeState ()
| Change state of variable i.e. go other way.
int | sequence () const
| Sequence number of integer variable (-1 if none).
Constructors, destructor
| ClpNode ()
| Default constructor.
| ClpNode (const ClpSimplex *model, const ClpNodeStuff *stuff)
| Constructor from model.
void | gutsOfConstructor (const ClpSimplex *model, const ClpNodeStuff *stuff)
| Does work of constructor (partly so gdb will work).
virtual | ~ClpNode ()
| Destructor.
Copy methods (at present illegal - will abort)
| ClpNode (const ClpNode &)
| The copy constructor.
ClpNode & | operator= (const ClpNode &)
| Operator =.
## Protected Attributes
Data
double | branchingValue_
| Initial value of integer variable.
ClpFactorization * | factorization_
| Factorization.
ClpDualRowSteepest * | weights_
| Steepest edge weights.
unsigned char * | status_
| Status vector.
double * | primalSolution_
| Primal solution.
double * | dualSolution_
| Dual solution.
int * | pivotVariables_
| Pivot variables for factorization.
int * | fixed_
| Variables fixed by reduced costs (at end of branch) 0x10000000 added if fixed to UB.
branchState | branchState_
| State of branch.
int | sequence_
| Sequence number of integer variable (-1 if none).
int | numberFixed_
| Number fixed by reduced cost.
## Classes
struct | branchState

## Detailed Description

Definition at line 16 of file ClpNode.hpp.

## Constructor & Destructor Documentation

ClpNode::ClpNode | ( |  | ) |

Default constructor.

ClpNode::ClpNode | ( | const ClpSimplex * | model,
|  | const ClpNodeStuff * | stuff |
| ) |  |  |

Constructor from model.

virtual ClpNode::~ClpNode | ( |  | ) | `[virtual]`

Destructor.

ClpNode::ClpNode | ( | const ClpNode & |  | ) |

The copy constructor.

## Member Function Documentation

void ClpNode::applyNode | ( | ClpSimplex * | model,
|  | bool | justBounds |
| ) |  |  |

Applies node to model.

int ClpNode::fixOnReducedCosts | ( | ClpSimplex * | model | ) |

Fix on reduced costs.

double ClpNode::branchingValue | ( |  | ) | const`[inline]`

Initial value of integer variable.

Definition at line 30 of file ClpNode.hpp.

References branchingValue_.

int ClpNode::way | ( |  | ) | const

Way for integer variable -1 down , +1 up.

bool ClpNode::fathomed | ( |  | ) | const

Return true if branch exhausted.

void ClpNode::changeState | ( |  | ) |

Change state of variable i.e. go other way.

int ClpNode::sequence | ( |  | ) | const`[inline]`

Sequence number of integer variable (-1 if none).

Definition at line 39 of file ClpNode.hpp.

References sequence_.

void ClpNode::gutsOfConstructor | ( | const ClpSimplex * | model,
|  | const ClpNodeStuff * | stuff |
| ) |  |  |

Does work of constructor (partly so gdb will work).

ClpNode& ClpNode::operator= | ( | const ClpNode & |  | ) |

Operator =.

## Member Data Documentation

double ClpNode::branchingValue_`[protected]`

Initial value of integer variable.

Definition at line 73 of file ClpNode.hpp.

Referenced by branchingValue().

ClpFactorization* ClpNode::factorization_`[protected]`

Factorization.

Definition at line 75 of file ClpNode.hpp.

ClpDualRowSteepest* ClpNode::weights_`[protected]`

Steepest edge weights.

Definition at line 77 of file ClpNode.hpp.

unsigned char* ClpNode::status_`[protected]`

Status vector.

Definition at line 79 of file ClpNode.hpp.

double* ClpNode::primalSolution_`[protected]`

Primal solution.

Definition at line 81 of file ClpNode.hpp.

double* ClpNode::dualSolution_`[protected]`

Dual solution.

Definition at line 83 of file ClpNode.hpp.

int* ClpNode::pivotVariables_`[protected]`

Pivot variables for factorization.

Definition at line 85 of file ClpNode.hpp.

int* ClpNode::fixed_`[protected]`

Variables fixed by reduced costs (at end of branch) 0x10000000 added if fixed to UB.

Definition at line 87 of file ClpNode.hpp.

branchState ClpNode::branchState_`[protected]`

State of branch.

Definition at line 89 of file ClpNode.hpp.

int ClpNode::sequence_`[protected]`

Sequence number of integer variable (-1 if none).

Definition at line 91 of file ClpNode.hpp.

Referenced by sequence().

int ClpNode::numberFixed_`[protected]`

Number fixed by reduced cost.

Definition at line 93 of file ClpNode.hpp.

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Cgl-0.52.0/Clp/src/ClpNode.hpp